Subject: bug#18331: closed (Re: bug#18331: 24.4.50; REGRESSION, no `C-h k' for `C-g')

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Sep 2014 15:13:03 +0000

Your bug report

#18331: 24.4.50; REGRESSION, no `C-h k' for `C-g'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18331: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18331
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18331: 24.4.50; REGRESSION, no `C-h k' for `C-g'
From: Eli Zaretskii <[email-masked]>
To: [email-masked], Drew Adams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 04 Sep 2014 18:12:38 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 27 Aug 2014 18:30:15 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I can fix this problem with the simple patch below.  Does anyone see
> any problems with it?
> 
> --- src/data.c~	2014-08-03 08:43:52 +0300
> +++ src/data.c	2014-08-27 18:28:13 +0300
> @@ -1311,10 +1311,10 @@ set_internal (Lisp_Object symbol, Lisp_O
>  
>  	    /* Find the new binding.  */
>  	    XSETSYMBOL (symbol, sym); /* May have changed via aliasing.  */
> -	    tem1 = Fassq (symbol,
> -			  (blv->frame_local
> -			   ? XFRAME (where)->param_alist
> -			   : BVAR (XBUFFER (where), local_var_alist)));
> +	    tem1 = assq_no_quit (symbol,
> +				 (blv->frame_local
> +				  ? XFRAME (where)->param_alist
> +				  : BVAR (XBUFFER (where), local_var_alist)));
>  	    set_blv_where (blv, where);
>  	    blv->found = 1;

No comments, so I installed this on the emacs-24 branch (r117479) and
I'm marking this done.

Subject: 24.4.50; REGRESSION, no `C-h k' for `C-g'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Mon, 25 Aug 2014 14:36:28 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

This REGRESSION was introduced after 24.3 and on or before 2013-05-15 (I
don't have an older 24.4 build than that, to test).

emacs -Q

C-h k C-g  ; Acts normally: shows help for `C-g'.

Evaluate this:

(custom-set-variables '(global-font-lock-mode t nil (font-lock)))

C-h k C-g  ; No help. Instead, a `quit' is performed.

In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
 of 2014-06-28 on ODIEONE
Bzr revision: 117431 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/snapshot/trunk
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -g3'
 LDFLAGS=-Lc:/Devel/emacs/lib 'CPPFLAGS=-DGC_MCHECK=1
 -Ic:/Devel/emacs/include''